<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_374bf250a" . "2cd00d5f57" . "42fea7c487" . "197" => base64_decode("ZG9jdW1lb" . "nRfdGl0bG" . "U="), "_af9f5df6df6e4a" . "b6fd5318e899627" . "078" => base64_decode("ZG9jdW1lbnRfdHlw" . "ZQ=="));
use Claromentis\Core\Event\GenericEvent;


class ViewDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_374bf250a2cd00d5f5742fea" . "7c487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_af9f5df6df6e4ab6f" . "d5318e899627078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}